import numpy as np
import matplotlib.pyplot as plt

from astropy.modeling.models import ArcSine1D

plt.figure()
s1 = ArcSine1D(amplitude=1, frequency=.25)
r=np.arange(-1, 1, .01)

for amplitude in range(1,4):
     s1.amplitude = amplitude
     plt.plot(r, s1(r), color=str(0.25 * amplitude), lw=2)

plt.axis([-1, 1, -np.pi/2, np.pi/2])
plt.show()