import numpy as np
import matplotlib.pyplot as plt

from astropy.modeling.models import ArcTangent1D

plt.figure()
s1 = ArcTangent1D(amplitude=1, frequency=.25)
r=np.arange(-10, 10, .01)

for amplitude in range(1,4):
     s1.amplitude = amplitude
     plt.plot(r, s1(r), color=str(0.25 * amplitude), lw=2)

plt.axis([-10, 10, -np.pi/2, np.pi/2])
plt.show()