from astropy import units as u
from astropy.coordinates import SkyCoord
from astropy.visualization.wcsaxes import SphericalCircle


r = SphericalCircle((266.4 * u.deg, -29.1 * u.deg), 0.15 * u.degree,
                     edgecolor='yellow', facecolor='none',
                     transform=ax.get_transform('fk5'))

ax.add_patch(r)

#The following lines show the usage of a SkyCoord object as the input.
skycoord_object = SkyCoord(266.4 * u.deg, -28.7 * u.deg)
s = SphericalCircle(skycoord_object, 0.15 * u.degree,
                    edgecolor='white', facecolor='none',
                    transform=ax.get_transform('fk5'))

ax.add_patch(s)